Create Movespec Version
curl --request POST \
--url https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"content_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"yaml_source": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}movespecs
Create Movespec Version
Create an immutable version from the current draft.
POST
/
api
/
movespecs
/
{movespec_id}
/
versions
Create Movespec Version
curl --request POST \
--url https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"content_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"yaml_source": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
BearerAccessTokenBearerAccessToken
Backend-issued machine access token for project-scoped API access.
Headers
Path Parameters
Response
Successful Response
Immutable MoveSpec version resource.
The created_by field has been moved to MoveSpecVersionFirstPartyResource
as it exposes internal actor identifiers (#31).
SHA-256 content hash for the immutable YAML.
Version creation timestamp.
Owning MoveSpec identifier.
Immutable MoveSpec version identifier.
Monotonic version number for the MoveSpec.
Immutable YAML source snapshot.